tigase.auth

## Class BruteForceLockerBean.StatHolder

- java.lang.Object
- - tigase.auth.BruteForceLockerBean.StatHolder

- All Implemented Interfaces:
    TypesConverter.Parcelable
  Enclosing class:
    BruteForceLockerBean

      public static class BruteForceLockerBean.StatHolder
      extends Object
      implements TypesConverter.Parcelable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StatHolder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `addIP(String ip)`
    `int` | `addIP(String ip, int value)`
    `int` | `addJID(BareJID jid)`
    `int` | `addJID(BareJID jid, int value)`
    `void` | `clear()`
    `String[]` | `encodeToStrings()`
    `void` | `fillFromString(String[] encoded)`
    `Map<String,Integer>` | `getIps()`
    `Map<BareJID,Integer>` | `getJids()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StatHolder

          public StatHolder()

  - ### Method Detail

    - #### getIps

          public Map<String,Integer> getIps()

    - #### getJids

          public Map<BareJID,Integer> getJids()

    - #### clear

          public void clear()

    - #### addIP

          public int addIP(String ip)

    - #### addJID

          public int addJID(BareJID jid)

    - #### addIP

          public int addIP(String ip,
                           int value)

    - #### addJID

          public int addJID(BareJID jid,
                            int value)

    - #### encodeToStrings

          public String[] encodeToStrings()

      Specified by:
        `encodeToStrings` in interface `TypesConverter.Parcelable`

    - #### fillFromString

          public void fillFromString(String[] encoded)

      Specified by:
        `fillFromString` in interface `TypesConverter.Parcelable`

Copyright © 2004–2019 "Tigase, Inc.". All rights reserved.